Webhooks
Webhooks
List http transport configurations
Required access: Tenant.Admin
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Transport List response
GET /v2/tenants/{tenantUid}/httptransports HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Transport List response
{
"items": [
{
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"httpTransportUid": "text",
"url": "text",
"username": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Add http transport configuration to tenant
Required permissions: WEBHOOK
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Transport Request Schema
^[A-Za-z0-9-_]+Transport response
Transport Response Schema
^[A-Za-z0-9-_]+POST /v2/tenants/{tenantUid}/httptransports HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 169
{
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"url": "text",
"username": "text",
"httpTransportUid": "text"
}Transport response
{
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"httpTransportUid": "text",
"url": "text",
"username": "text"
}Get details for a http transport configuration.
Required access: Tenant.Admin
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Http Transport.
^[A-Za-z0-9-_]+Transport response
Transport Response Schema
^[A-Za-z0-9-_]+GET /v2/tenants/{tenantUid}/httptransports/{httpTransportUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Transport response
{
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"httpTransportUid": "text",
"url": "text",
"username": "text"
}Update http transport configuration for a tenant
Required permissions: WEBHOOK
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Http Transport.
^[A-Za-z0-9-_]+Transport Request Schema
Transport response
Transport Response Schema
^[A-Za-z0-9-_]+PUT /v2/tenants/{tenantUid}/httptransports/{httpTransportUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 143
{
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"url": "text",
"username": "text"
}Transport response
{
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"httpTransportUid": "text",
"url": "text",
"username": "text"
}Delete a http transport configuration from a tenant
Deletes a http transport configuration completely from a tenant.
Required permissions: WEBHOOK
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Http Transport.
^[A-Za-z0-9-_]+No Content
No content
DELETE /v2/tenants/{tenantUid}/httptransports/{httpTransportUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No Content
No content
List all webhooks.
Required permissions: WEBHOOK
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Http Transport uid
^[A-Za-z0-9-_]+Example response
GET /v2/tenants/{tenantUid}/webhooks HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
{
"items": [
{
"action": "PRODUCT_CREATE",
"httpTransport": {
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"httpTransportUid": "text",
"url": "text",
"username": "text"
},
"webhookUid": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}List all webhooks for a httpTransport
List all webhooks for a http transport.
Required permissions: WEBHOOK
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Http Transport.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Example response
GET /v2/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
{
"items": [
{
"action": "PRODUCT_CREATE",
"httpTransport": {
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"httpTransportUid": "text",
"url": "text",
"username": "text"
},
"webhookUid": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Create new webhook on a httpTransport
Add webhook on a httpTransport
Required permissions: WEBHOOK
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Http Transport.
^[A-Za-z0-9-_]+Webhook Update Request Schema
| ENUM | Description |
|---|---|
| PRODUCT_CREATE | Create new product |
| PRODUCT_UPDATE | Update existing product |
| PRODUCT_DELETE | Product deleted |
| CUSTOMER_CREATE | Create new customer |
| CUSTOMER_UPDATE | Update existing customer |
| CUSTOMER_DELETE | Customer deleted |
| ORDER_SETTLED | New order. Order status is SETTLED |
| ORDER_STATE_CHANGE | Order changes state |
| ORDER_RECEIPT_SETTLED | A receipt is SETTLED |
| ORDER_DELIVERED | Existing order. Order status DELIVERED |
| ORDER_LINE_DELIVERED | An order line has been delivered |
| ORDER_HANDLING_STATE_CHANGED | An order handling state changed (notably when set to NOT_STARTED, IN_PROGRESS, ON_HOLD, or COMPLETE) |
| TILL_CLOSED | Till has been counted and closed. |
| TILL_OPEN | Till has been opened. |
| PRICE_CREATE | Create new price. |
| PRICE_UPDATE | Update Price. |
| PRICE_DELETE | Price deleted |
| STOCK_CHANGE | Stock for a warehouseUid and productUid has changed. |
| PRODUCT_MEDIA_CHANGE | Product media has changed (create/update/delete). |
| PURCHASE_RECEIVED | Purchase order fully received |
| ORDER_LINE_RESERVATION_CHANGE | Order line reservation changed |
^[A-Za-z0-9-_]+Example response
Webhook Response
| ENUM | Description |
|---|---|
| PRODUCT_CREATE | Create new product |
| PRODUCT_UPDATE | Update existing product |
| PRODUCT_DELETE | Product deleted |
| CUSTOMER_CREATE | Create new customer |
| CUSTOMER_UPDATE | Update existing customer |
| CUSTOMER_DELETE | Customer deleted |
| ORDER_SETTLED | New order. Order status is SETTLED |
| ORDER_STATE_CHANGE | Order changes state |
| ORDER_RECEIPT_SETTLED | A receipt is SETTLED |
| ORDER_DELIVERED | Existing order. Order status DELIVERED |
| ORDER_LINE_DELIVERED | An order line has been delivered |
| ORDER_HANDLING_STATE_CHANGED | An order handling state changed (notably when set to NOT_STARTED, IN_PROGRESS, ON_HOLD, or COMPLETE) |
| TILL_CLOSED | Till has been counted and closed. |
| TILL_OPEN | Till has been opened. |
| PRICE_CREATE | Create new price. |
| PRICE_UPDATE | Update Price. |
| PRICE_DELETE | Price deleted |
| STOCK_CHANGE | Stock for a warehouseUid and productUid has changed. |
| PRODUCT_MEDIA_CHANGE | Product media has changed (create/update/delete). |
| PURCHASE_RECEIVED | Purchase order fully received |
| ORDER_LINE_RESERVATION_CHANGE | Order line reservation changed |
^[A-Za-z0-9-_]+POST /v2/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"action": "PRODUCT_CREATE",
"webhookUid": "text"
}Example response
{
"action": "PRODUCT_CREATE",
"httpTransport": {
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"httpTransportUid": "text",
"url": "text",
"username": "text"
},
"webhookUid": "text"
}Get details for a webhook.
Required permissions: WEBHOOK
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a webhook
^[A-Za-z0-9-_]+Reference to a Http Transport.
^[A-Za-z0-9-_]+Example response
Webhook Response
| ENUM | Description |
|---|---|
| PRODUCT_CREATE | Create new product |
| PRODUCT_UPDATE | Update existing product |
| PRODUCT_DELETE | Product deleted |
| CUSTOMER_CREATE | Create new customer |
| CUSTOMER_UPDATE | Update existing customer |
| CUSTOMER_DELETE | Customer deleted |
| ORDER_SETTLED | New order. Order status is SETTLED |
| ORDER_STATE_CHANGE | Order changes state |
| ORDER_RECEIPT_SETTLED | A receipt is SETTLED |
| ORDER_DELIVERED | Existing order. Order status DELIVERED |
| ORDER_LINE_DELIVERED | An order line has been delivered |
| ORDER_HANDLING_STATE_CHANGED | An order handling state changed (notably when set to NOT_STARTED, IN_PROGRESS, ON_HOLD, or COMPLETE) |
| TILL_CLOSED | Till has been counted and closed. |
| TILL_OPEN | Till has been opened. |
| PRICE_CREATE | Create new price. |
| PRICE_UPDATE | Update Price. |
| PRICE_DELETE | Price deleted |
| STOCK_CHANGE | Stock for a warehouseUid and productUid has changed. |
| PRODUCT_MEDIA_CHANGE | Product media has changed (create/update/delete). |
| PURCHASE_RECEIVED | Purchase order fully received |
| ORDER_LINE_RESERVATION_CHANGE | Order line reservation changed |
^[A-Za-z0-9-_]+GET /v2/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
{
"action": "PRODUCT_CREATE",
"httpTransport": {
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"httpTransportUid": "text",
"url": "text",
"username": "text"
},
"webhookUid": "text"
}Update tenant webhook
Update webhook for a tenant
Required permissions: WEBHOOK
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a webhook
^[A-Za-z0-9-_]+Reference to a Http Transport.
^[A-Za-z0-9-_]+Webhook Update Request Schema
| ENUM | Description |
|---|---|
| PRODUCT_CREATE | Create new product |
| PRODUCT_UPDATE | Update existing product |
| PRODUCT_DELETE | Product deleted |
| CUSTOMER_CREATE | Create new customer |
| CUSTOMER_UPDATE | Update existing customer |
| CUSTOMER_DELETE | Customer deleted |
| ORDER_SETTLED | New order. Order status is SETTLED |
| ORDER_STATE_CHANGE | Order changes state |
| ORDER_RECEIPT_SETTLED | A receipt is SETTLED |
| ORDER_DELIVERED | Existing order. Order status DELIVERED |
| ORDER_LINE_DELIVERED | An order line has been delivered |
| ORDER_HANDLING_STATE_CHANGED | An order handling state changed (notably when set to NOT_STARTED, IN_PROGRESS, ON_HOLD, or COMPLETE) |
| TILL_CLOSED | Till has been counted and closed. |
| TILL_OPEN | Till has been opened. |
| PRICE_CREATE | Create new price. |
| PRICE_UPDATE | Update Price. |
| PRICE_DELETE | Price deleted |
| STOCK_CHANGE | Stock for a warehouseUid and productUid has changed. |
| PRODUCT_MEDIA_CHANGE | Product media has changed (create/update/delete). |
| PURCHASE_RECEIVED | Purchase order fully received |
| ORDER_LINE_RESERVATION_CHANGE | Order line reservation changed |
Example response
Webhook Response
| ENUM | Description |
|---|---|
| PRODUCT_CREATE | Create new product |
| PRODUCT_UPDATE | Update existing product |
| PRODUCT_DELETE | Product deleted |
| CUSTOMER_CREATE | Create new customer |
| CUSTOMER_UPDATE | Update existing customer |
| CUSTOMER_DELETE | Customer deleted |
| ORDER_SETTLED | New order. Order status is SETTLED |
| ORDER_STATE_CHANGE | Order changes state |
| ORDER_RECEIPT_SETTLED | A receipt is SETTLED |
| ORDER_DELIVERED | Existing order. Order status DELIVERED |
| ORDER_LINE_DELIVERED | An order line has been delivered |
| ORDER_HANDLING_STATE_CHANGED | An order handling state changed (notably when set to NOT_STARTED, IN_PROGRESS, ON_HOLD, or COMPLETE) |
| TILL_CLOSED | Till has been counted and closed. |
| TILL_OPEN | Till has been opened. |
| PRICE_CREATE | Create new price. |
| PRICE_UPDATE | Update Price. |
| PRICE_DELETE | Price deleted |
| STOCK_CHANGE | Stock for a warehouseUid and productUid has changed. |
| PRODUCT_MEDIA_CHANGE | Product media has changed (create/update/delete). |
| PURCHASE_RECEIVED | Purchase order fully received |
| ORDER_LINE_RESERVATION_CHANGE | Order line reservation changed |
^[A-Za-z0-9-_]+PUT /v2/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27
{
"action": "PRODUCT_CREATE"
}Example response
{
"action": "PRODUCT_CREATE",
"httpTransport": {
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"httpTransportUid": "text",
"url": "text",
"username": "text"
},
"webhookUid": "text"
}Delete a webhook from a tenant
Deletes a webhook from a tenant.
Required permissions: WEBHOOK
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a webhook
^[A-Za-z0-9-_]+Reference to a Http Transport.
^[A-Za-z0-9-_]+No Content
No content
DELETE /v2/tenants/{tenantUid}/httptransports/{httpTransportUid}/webhooks/{webhookUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No Content
No content
Receives webhook callbacks from Postmark for email delivery, bounces, and spam complaints
Minimal schema for identifying Postmark webhook type
The type of webhook event
DeliveryPossible values: Optional details about the webhook event
Test webhook detailsWebhook received successfully
No content
POST /v2/callbacks/postmark HTTP/1.1
Host: api.flowretail.com
Content-Type: application/json
Accept: */*
Content-Length: 109
{
"RecordType": "Delivery",
"Metadata": {
"example": "value",
"example_2": "value"
},
"Details": "Test webhook details"
}Webhook received successfully
No content
Last updated